summaryrefslogtreecommitdiffstats
path: root/source/l
diff options
context:
space:
mode:
Diffstat (limited to 'source/l')
-rw-r--r--source/l/FTBFSlog4
-rwxr-xr-xsource/l/cryfs/cryfs.SlackBuild2
-rwxr-xr-xsource/l/qt5-webkit/qt5-webkit.SlackBuild3
-rw-r--r--source/l/qt5-webkit/qt5-webkit.glib-2.68.0.diff12
4 files changed, 20 insertions, 1 deletions
diff --git a/source/l/FTBFSlog b/source/l/FTBFSlog
index dbae74e83..ed91b7452 100644
--- a/source/l/FTBFSlog
+++ b/source/l/FTBFSlog
@@ -1,3 +1,7 @@
+Sun Apr 4 19:03:17 UTC 2021
+ qt5-webkit: Patched to fix building with glib-2.68.0.
+ Thanks to nobodino and ponce.
++--------------------------+
Sun Mar 7 05:59:54 UTC 2021
dconf-editor: upstream patch to fix building with vala-0.50.4.
Thanks to nobodino.
diff --git a/source/l/cryfs/cryfs.SlackBuild b/source/l/cryfs/cryfs.SlackBuild
index 46186ab3c..11f021f04 100755
--- a/source/l/cryfs/cryfs.SlackBuild
+++ b/source/l/cryfs/cryfs.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=cryfs
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/l/qt5-webkit/qt5-webkit.SlackBuild b/source/l/qt5-webkit/qt5-webkit.SlackBuild
index a591d875c..9a3d58453 100755
--- a/source/l/qt5-webkit/qt5-webkit.SlackBuild
+++ b/source/l/qt5-webkit/qt5-webkit.SlackBuild
@@ -100,6 +100,9 @@ fi
# Fix for bison 3.7.x:
zcat $CWD/qt5-webkit.bison27.patch.gz | patch -p1 --verbose || exit 1
+# Fix for glib-2.68.0:
+zcat $CWD/qt5-webkit.glib-2.68.0.diff.gz | patch -p1 --verbose || exit 1
+
# -DU_DEFINE_FALSE_AND_TRUE=1 since recent icu4c no longer defines these otherwise.
export CFLAGS="$SLKCFLAGS -DU_DEFINE_FALSE_AND_TRUE=1"
diff --git a/source/l/qt5-webkit/qt5-webkit.glib-2.68.0.diff b/source/l/qt5-webkit/qt5-webkit.glib-2.68.0.diff
new file mode 100644
index 000000000..156423a25
--- /dev/null
+++ b/source/l/qt5-webkit/qt5-webkit.glib-2.68.0.diff
@@ -0,0 +1,12 @@
+--- ./Source/WTF/wtf/glib/GRefPtr.h.orig 2020-03-04 11:16:37.000000000 -0600
++++ ./Source/WTF/wtf/glib/GRefPtr.h 2021-04-04 13:49:13.487944604 -0500
+@@ -29,9 +29,6 @@
+ #include <wtf/RefPtr.h>
+ #include <algorithm>
+
+-extern "C" void g_object_unref(gpointer);
+-extern "C" gpointer g_object_ref_sink(gpointer);
+-
+ namespace WTF {
+
+ enum GRefPtrAdoptType { GRefPtrAdopt };